libetonyek::IWORKPropertyContext< Property, Context, TokenId > Class Template Reference documentation

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libetonyek::IWORKPropertyContext< Property, Context, TokenId > Class Template Reference

`#include <IWORKPropertyContext.h>`

Inheritance diagram for libetonyek::IWORKPropertyContext< Property, Context, TokenId >:

## Public Member Functions
| IWORKPropertyContext (IWORKXMLParserState &state, IWORKPropertyMap &propMap)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
| IWORKXMLContextBase (State &state)
template<typename T >
| IWORKXMLContextBase (State &state, const T &a)
State & | getState ()

## Private Member Functions
virtual IWORKXMLContextPtr_t | element (int name)
virtual void | endOfElement ()

## Private Attributes
boost::optional< typename IWORKPropertyInfo< Property >::ValueType > | m_value

## Additional Inherited Members
Protected Member Functions inherited from libetonyek::IWORKPropertyContextBase
| IWORKPropertyContextBase (IWORKXMLParserState &state, IWORKPropertyMap &propMap)
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
Collector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Attributes inherited from libetonyek::IWORKPropertyContextBase
IWORKPropertyMap & | m_propMap
bool | m_default
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
State & | m_state

## Constructor & Destructor Documentation

template<typename Property , typename Context , int TokenId>

libetonyek::IWORKPropertyContext< Property, Context, TokenId >::IWORKPropertyContext | ( | IWORKXMLParserState & | state,
|  | IWORKPropertyMap & | propMap
| ) |  |

## Member Function Documentation

template<typename Property , typename Context , int TokenId>

IWORKXMLContextPtr_t libetonyek::IWORKPropertyContext< Property, Context, TokenId >::element | ( | int | name | ) |
| privatevirtual

template<typename Property , typename Context , int TokenId>

void libetonyek::IWORKPropertyContext< Property, Context, TokenId >::endOfElement | ( |  | ) |
| privatevirtual

## Member Data Documentation

template<typename Property, typename Context, int TokenId>

boost::optional<typename IWORKPropertyInfo<Property>::ValueType> libetonyek::IWORKPropertyContext< Property, Context, TokenId >::m_value
| private

Referenced by libetonyek::IWORKPropertyContext< Property, Context, TokenId >::element(), and libetonyek::IWORKPropertyContext< Property, Context, TokenId >::endOfElement().

The documentation for this class was generated from the following file:

- IWORKPropertyContext.h